%define _datadir %prefix/share/games/torcs
%define _libdir %prefix/lib/torcs

%define _menudir %prefix/lib/menu
%define _miconsdir %prefix/share/icons/mini
%define _iconsdir %prefix/share/icons
%define _liconsdir %prefix/share/icons/large

#%define _findreq_default_method files pam perl shell

%define AutoReq nolib

Summary: The Open Racing Car Simulator
Name: TORCS
Version: 1.2.2
Release: alt2
License: GPL
Url: http://torcs.org
Packager: Alexander Belov <asbel@altlinux.ru>
Group: Games/Sports

Source: %name-%version-src.tar.bz2
Source1: %name-%version-src-robots-K1999.tar.bz2
Source2: %name-%version-src-robots-base.tar.bz2
Source3: %name-%version-src-robots-berniw.tar.bz2
Source4: %name-%version-src-robots-astigot.tar.bz2
Source5: %name-%version-src-robots-billy.tar.bz2
Source6: %name-%version-src-robots-bt.tar.bz2
Source11: %name.16.xpm
Source12: %name.32.xpm
Source13: %name.48.xpm
Source14: %name-%version-docs.tar.bz2
Source15: playavi.sh

Patch1: TORCS-%version-path.patch

Requires: %name-data = 1.2.2
Requires: libglut >= 3.7, plib >= 1.6

# Automatically added by buildreq on Tue Mar 23 2004
BuildRequires: XFree86-devel-static XFree86-libs gcc-c++ libGLU-devel libglut-devel libpng-devel libstdc++-devel plib-devel samba-common zlib-devel

BuildRequires: libglut-devel >= 3.7, plib-devel >= 1.6

%description
A 3D racing car simulator using OpenGL.

%prep
%setup -n torcs-%version
%setup -T -D -b 1 -n torcs-%version
%setup -T -D -b 2 -n torcs-%version
%setup -T -D -b 3 -n torcs-%version
%setup -T -D -b 4 -n torcs-%version
%setup -T -D -b 5 -n torcs-%version
%setup -T -D -b 6 -n torcs-%version
%setup -T -D -b 14 -n torcs-%version

%patch1 -p1

%build
export TORCS_BASE=`pwd` MAKE_DEFAULT=`pwd`/Make-default.mk
export CFLAGS="$CFLAGS -fPIC"
export CXXFLAGS="$CXXFLAGS -fPIC"
%configure
%make

%install
%makeinstall

%__install -m 644 %SOURCE15 $RPM_BUILD_ROOT%_libdir/



# Menu
%__mkdir -p $RPM_BUILD_ROOT/%_menudir
%__cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):\
needs="x11"\
section="Amusement/Sports"\
title="%name"\
longtitle="The Open Racing Car Simulator"\
command="torcs"\
icon="%name.xpm"

EOF

# Icons
%__mkdir -p $RPM_BUILD_ROOT/%_miconsdir
%__mkdir -p $RPM_BUILD_ROOT/%_liconsdir
%__install -m 644 %SOURCE11 $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
%__install -m 644 %SOURCE12 $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
%__install -m 644 %SOURCE13 $RPM_BUILD_ROOT/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc docs/* CHANGELOG.html COPYING README.linux TODO.html
%_bindir/*
%_libdir/*
%_datadir/*
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Tue Jun 29 2004 Alexander Belov <asbel@altlinux.ru> 1.2.2-alt2
- Change menu file location from /usr/share/menu -> /usr/lib/menu

* Mon Mar 22 2004 Alexander Belov <asbel@altlinux.ru> 1.2.2-alt1
- New versin 1.2.2
- New robots: billy, bt, astigot

* Mon Jan 05 2004 Alexander Belov <asbel@altlinux.ru> 1.2.1-alt4
- Fixed gcc-3.x compile
- Cleanup spec
- Updating BuildRequires

* Wed Dec 17 2003 Alexander Belov <asbel@altlinux.ru> 1.2.1-alt3
- Replace %make_build to %make
- Updating BuildRequires

* Thu Dec 11 2003 Alexander Belov <asbel@altlinux.ru> 1.2.1-alt2
- Move *.so from /usr/share/games/torcs to /usr/lib/games/torcs
- Added -fPIC option for compiler

* Wed Apr 30 2003 Alexander Belov <asbel@altlinux.ru> 1.2.1-alt1
- New version
- Adding documentation

* Fri Apr 4 2003 Alexander Belov <asbel@mail.ru> 1.2.0-alt1
- Sisyphus first release

* Mon Mar 24 2003 Eric Espi <Eric.Espie@free.fr> 1.2.0
- new version

* Mon Jul 15 2002 Eric Espi <Eric.Espie@free.fr> 1.1.0-2
- improved specfile

* Sat Jul 13 2002 Eric Espi <Eric.Espie@free.fr> 1.1.0
- version 1.1.0

* Mon Dec 17 2001 Eric Espi <Eric.Espie@free.fr> 1.0.0
- version 1.0.0 final

* Sun Dec  9 2001 Eric Espi <Eric.Espie@free.fr> 1.0.0-rc5
- installation updates

* Sat Dec  8 2001 Eric Espi <Eric.Espie@free.fr> 1.0.0-rc4
- initial RPM
